local Zifnabs_Config_Hatelist = {}
_G.Zifnabs_Config_Hatelist = Zifnabs_Config_Hatelist

local config_frame=getglobal("Zifnabs_Configuration")
local my_name="Zifnabs_Configuration_Hate"
local my_frame=getglobal(my_name)

getglobal(my_name.."_Active_Text"):SetText(Zifnabs.LANG.Config_HATELIST_ACTIVE)
getglobal(my_name.."_top"):SetText(Zifnabs.LANG.Config_HATELIST_TOP)
getglobal(my_name.."_bottom"):SetText(Zifnabs.LANG.Config_HATELIST_BOTTOM)
getglobal(my_name.."_left"):SetText(Zifnabs.LANG.Config_HATELIST_LEFT)
getglobal(my_name.."_right"):SetText(Zifnabs.LANG.Config_HATELIST_RIGHT)

Zifnabs_Config:register_module(Zifnabs.LANG.Config_HATELIST_SELECT,Zifnabs_Config_Hatelist)

-- ******************************************************************************************
-- * ON EVENT
-- ******************************************************************************************
function Zifnabs_Config_Hatelist:check(widget)
	local id,name,part=Zifnabs:parse_name(widget)
	local value=widget:IsChecked()
	if id=="hate_active" then Zifnabs_Settings.hatelist.active=value
	end
	Zifnabs_Hatelist:reload_settings()
	Zifnabs_Config_Hatelist:enter()
end

function Zifnabs_Config_Hatelist:button(widget)
	local id,name,part=Zifnabs:parse_name(widget)
	if id=="hate_plus" then Zifnabs_Settings.hatelist.bars=math.min(5,Zifnabs_Settings.hatelist.bars+1)
	elseif id=="hate_minus" then Zifnabs_Settings.hatelist.bars=math.max(1,Zifnabs_Settings.hatelist.bars-1)
	elseif id=="hate_top" then Zifnabs_Settings.hatelist.locate="top"
	elseif id=="hate_bottom" then Zifnabs_Settings.hatelist.locate="bottom"
	elseif id=="hate_left" then Zifnabs_Settings.hatelist.locate="left"
	elseif id=="hate_right" then Zifnabs_Settings.hatelist.locate="right"
	end
	Zifnabs_Hatelist:reload_settings()
	Zifnabs_Config_Hatelist:enter()
end

-- ******************************************************************************************
-- * API Funktionen für Zifnabs_Config
-- ******************************************************************************************
function Zifnabs_Config_Hatelist:enter()
	my_frame:Show()
	getglobal(my_name.."_Active"):SetChecked(Zifnabs_Settings.hatelist.active)
	getglobal(my_name.."_Rows_Text"):SetText(Zifnabs_Settings.hatelist.bars.." "..Zifnabs.LANG.Config_HATELIST_ROWS)
	local names={UnitName("player"),"Theodor","Willibald","Bert","Kerberos"}
	list={}
	for l=1,5,1 do
		list[l]={["name"]=names[l],["hate"]=200000-30000*l,["damage"]=1000}
	end
	Zifnabs_Hatelist:show(list)
end

function Zifnabs_Config_Hatelist:leave()
	if unsaved_changes then Zifnabs_Config:save_ignore_abort("ASK")  
	else 
		Zifnabs_Hatelist:show({})
		my_frame:Hide()
		Zifnabs_Config:left_menu()
	end
end
function Zifnabs_Config_Hatelist:save() unsaved_changes=false end -- unsaved_changes gibt es bei Hatelist gar nicht
function Zifnabs_Config_Hatelist:ignore() unsaved_changes=false end
function Zifnabs_Config_Hatelist:disable() my_frame:Disable() end
function Zifnabs_Config_Hatelist:enable() my_frame:Enable() end
